[SM-Grimoire-Bugs] [Bug 15673] New: kdebindings4 dies with the current version of attica in test

bugzilla-daemon at bugs.sourcemage.org bugzilla-daemon at bugs.sourcemage.org
Thu Apr 15 15:59:41 EDT 2010


http://bugs.sourcemage.org/show_bug.cgi?id=15673

           Summary: kdebindings4 dies with the current version of attica
                    in test
           Product: Codex
           Version: test grimoire
          Platform: x86
        OS/Version: Linux
            Status: NEW
          Severity: normal
          Priority: P3
         Component: kde4
        AssignedTo: sm-grimoire-bugs at lists.ibiblio.org
        ReportedBy: tboatman at sourcemage.org


kdebindings4 4.4.2 + attica 0.1.2 = success

---

kdebindings4 4.4.2 + attica 0.1.3 = failure on kdebindings4...


[ 54%] Built target smokektexteditor
Linking CXX shared library ../../lib/libsmokeattica.so
CMakeFiles/smokeattica.dir/x_1.o: In function `.L507':
x_1.cpp:(.text+0x7e7): undefined reference to
`Attica::GetJob::GetJob(QSharedPointer<Attica::PlatformDependent> const&,
QNetworkRequest const&)'
CMakeFiles/smokeattica.dir/x_1.o: In function `.L549':
x_1.cpp:(.text+0x9b9): undefined reference to
`Attica::BaseJob::BaseJob(QSharedPointer<Attica::PlatformDependent> const&)'
CMakeFiles/smokeattica.dir/x_1.o: In function `.L597':
x_1.cpp:(.text+0xc65): undefined reference to
`Attica::PostJob::PostJob(QSharedPointer<Attica::PlatformDependent> const&,
QNetworkRequest const&, QMap<QString, QString> const&)'
CMakeFiles/smokeattica.dir/x_1.o: In function `.L591':
x_1.cpp:(.text+0xd81): undefined reference to
`Attica::PostJob::PostJob(QSharedPointer<Attica::PlatformDependent> const&,
QNetworkRequest const&, QByteArray const&)'
CMakeFiles/smokeattica.dir/x_1.o: In function `.L590':
x_1.cpp:(.text+0xdbb): undefined reference to
`Attica::PostJob::PostJob(QSharedPointer<Attica::PlatformDependent> const&,
QNetworkRequest const&, QMap<QString, QString> const&)'
CMakeFiles/smokeattica.dir/x_1.o: In function `.L589':
x_1.cpp:(.text+0xdf5): undefined reference to
`Attica::PostJob::PostJob(QSharedPointer<Attica::PlatformDependent> const&,
QNetworkRequest const&, QIODevice*)'
collect2: ld returned 1 exit status
make[2]: *** [lib/libsmokeattica.so.3.0.0] Error 1
make[1]: *** [smoke/attica/CMakeFiles/smokeattica.dir/all] Error 2
make: *** [all] Error 2
 ! Problem Detected !

---

kdebindings4 4.4.2 + no attica = failure on configuration for kdebindings4...

CMake Error: The following variables are used in this project, but they are set
to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake
files:
LIBATTICA_LIBRARIES (ADVANCED)
    linked by target "smokeattica" in directory
/usr/src/kdebindings-4.4.2/smoke/attica

-- Configuring incomplete, errors occurred!
 ! Problem Detected !

---

Therefore, kdebindings4 4.4.2 is version dependent on attica <= 0.1.2 (or more
likely = rather than <=) and also missing the depends for attica in DEPENDS.

-- 
Configure bugmail: http://bugs.sourcemage.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.



More information about the SM-Grimoire-Bugs mailing list